Zum Inhalt springen
Anmelden Registrieren

Google Scholar Profiles API

Finden Sie Google Scholar Autorenprofile anhand des Namens. Setzen Sie engine=google_scholar_profiles und übergeben Sie den Namen an mauthors, um eine Liste passender Autoren mit ihren IDs, Zugehörigkeiten und Zitierungszahlen zu erhalten.

GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
ParameterTypErforderlichBeschreibung
api_keystringjaIhr SERP API-Schlüssel
enginestringjaMuss google_scholar_profiles sein
mauthorsstringjaDer zu suchende Autorenname(n)
hlstringneinSprachcode der Benutzeroberfläche
after_authorstringneinToken für die nächste Seite, muss auf einen before_author-Wert folgen
before_authorstringneinToken für die vorherige Seite
Terminal-Fenster
curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"
{
"search_parameters": {
"engine": "google_scholar_profiles",
"mauthors": "jake"
},
"profiles": [
{
"name": "Jake Smith",
"author_id": "LSsXyncAAAAJ",
"affiliations": "Professor of Computer Science, MIT",
"email": "Verified email at mit.edu",
"cited_by": 18200,
"interests": [ { "title": "Artificial Intelligence" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
}
],
"pagination": {
"next_page_token": "...",
"next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..."
}
}